oracle.xml.xsql

## Class XSQLServletPageRequest

- java.lang.Object
- - oracle.xml.xsql.XSQLPageRequestImpl
  - - oracle.xml.xsql.XSQLServletPageRequest

All Implemented Interfaces:
  XSQLPageRequest

    public final class XSQLServletPageRequest
    extends XSQLPageRequestImpl

### Constructor Summary

Constructors
Constructor and Description
`XSQLServletPageRequest(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp, javax.servlet.ServletConfig config)`

### Method Summary

All Methods Instance Methods Concrete Methods
`XSQLPageRequest` `createNestedRequest(java.lang.String baseuri, java.net.URL pageurl, java.util.Dictionary params, java.io.PrintWriter overriddenWriter, java.io.OutputStream overriddenOutputStream)` Returns an instance of a nested Request
`java.lang.String` `getCookie(java.lang.String name)`
`javax.servlet.http.HttpServletRequest` `getHttpServletRequest()` Get the HttpServletRequest that initiated this XSQL Page Request.
`javax.servlet.http.HttpServletResponse` `getHttpServletResponse()` Get the HttpServletResponse that is associated with this XSQL Page Request
`java.lang.String` `getParameter(java.lang.String name)` Use HTTP Parameters as the source of parameters instead
`java.lang.String[]` `getParameterValues(java.lang.String name)` Returns an array of values for the requested parameter
`Document` `getPostedDocument()` Returns the content of Posted XML for this request as an XML Document
`Document` `getRequestParamsAsXMLDocument()` Returns the content of a Request parameters as an XML Document
`java.lang.String` `getRequestType()` Returns a string identifying the type of page request being made.
`javax.servlet.ServletConfig` `getServletConfig()` Get the ServletConfig associated with servlet processing this request.
`javax.servlet.ServletContext` `getServletContext()` Get the ServletContext associated with servlet processing this request
`java.lang.String` `getUserAgent()` Returns a String identifier of the requesting program
`void` `setContentType(java.lang.String mimetype)` Sets the content type of the resulting page
`void` `setCookie(java.lang.String name, java.lang.String value, java.lang.String maxage, java.lang.String domain, java.lang.String path, boolean immediate)`
`void` `setPageEncoding(java.lang.String enc)` Associates an XSQL Page with the request
`java.lang.String` `translateURL(java.lang.String path)` Returns a string representing an absolute URL resolved relative to the base URI for this request.
`boolean` `useHTMLErrors()` Returns true if HTML-formatted error messages are desired for this request

### Methods inherited from class oracle.xml.xsql.XSQLPageRequestImpl

`getBaseURI, getConnectionManagerFactory, getConnectionName, getErrorWriter, getJDBCConnection, getOutputStream, getPageEncoding, getRequestObject, getSourceDocumentURI, getStylesheetParameter, getStylesheetParameters, getStylesheetURI, getWriter, getXSQLConnection, getXSQLPage, isErrorSignalled, isIncludedRequest, isOracleDriver, isUseOutputStream, printedErrorHeader, requestProcessed, setConnectionName, setErrorHandlerClass, setIncludingRequest, setPageParam, setPageParam, setPostedDocument, setPrintedErrorHeader, setRequestObject, setStylesheetParameter, setStylesheetURI, signalError, signalError, useConnectionPooling`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSQLServletPageRequest

    public XSQLServletPageRequest(javax.servlet.http.HttpServletRequest req,
                                  javax.servlet.http.HttpServletResponse resp,
                                  javax.servlet.ServletConfig config)

### Method Detail

#### getParameter

    public java.lang.String getParameter(java.lang.String name)

Use HTTP Parameters as the source of parameters instead

Specified by:
  `getParameter` in interface `XSQLPageRequest`
Overrides:
  `getParameter` in class `XSQLPageRequestImpl`
Parameters:
  `name` - the name of the parameter

#### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

Description copied from interface: `XSQLPageRequest`
Returns an array of values for the requested parameter

Specified by:
  `getParameterValues` in interface `XSQLPageRequest`
Overrides:
  `getParameterValues` in class `XSQLPageRequestImpl`
Parameters:
  `name` - the name of the parameter

#### getUserAgent

    public java.lang.String getUserAgent()

Description copied from interface: `XSQLPageRequest`
Returns a String identifier of the requesting program

Specified by:
  `getUserAgent` in interface `XSQLPageRequest`
Overrides:
  `getUserAgent` in class `XSQLPageRequestImpl`

#### setContentType

    public void setContentType(java.lang.String mimetype)

Description copied from interface: `XSQLPageRequest`
Sets the content type of the resulting page

Specified by:
  `setContentType` in interface `XSQLPageRequest`
Overrides:
  `setContentType` in class `XSQLPageRequestImpl`

#### useHTMLErrors

    public boolean useHTMLErrors()

Description copied from interface: `XSQLPageRequest`
Returns true if HTML-formatted error messages are desired for this request

Specified by:
  `useHTMLErrors` in interface `XSQLPageRequest`
Overrides:
  `useHTMLErrors` in class `XSQLPageRequestImpl`

#### translateURL

    public java.lang.String translateURL(java.lang.String path)

Description copied from interface: `XSQLPageRequest`
Returns a string representing an absolute URL resolved relative to the base URI for this request.

Specified by:
  `translateURL` in interface `XSQLPageRequest`
Overrides:
  `translateURL` in class `XSQLPageRequestImpl`

#### getRequestType

    public java.lang.String getRequestType()

Description copied from interface: `XSQLPageRequest`
Returns a string identifying the type of page request being made.

#### getRequestParamsAsXMLDocument

    public Document getRequestParamsAsXMLDocument()

Description copied from interface: `XSQLPageRequest`
Returns the content of a Request parameters as an XML Document

Specified by:
  `getRequestParamsAsXMLDocument` in interface `XSQLPageRequest`
Overrides:
  `getRequestParamsAsXMLDocument` in class `XSQLPageRequestImpl`

#### getPostedDocument

    public Document getPostedDocument()

Description copied from interface: `XSQLPageRequest`
Returns the content of Posted XML for this request as an XML Document

Specified by:
  `getPostedDocument` in interface `XSQLPageRequest`
Overrides:
  `getPostedDocument` in class `XSQLPageRequestImpl`

#### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

Get the HttpServletRequest that initiated this XSQL Page Request.

#### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse()

Get the HttpServletResponse that is associated with this XSQL Page Request

#### getServletContext

    public javax.servlet.ServletContext getServletContext()

Get the ServletContext associated with servlet processing this request

#### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

Get the ServletConfig associated with servlet processing this request.

#### setPageEncoding

    public void setPageEncoding(java.lang.String enc)

Description copied from class: `XSQLPageRequestImpl`
Associates an XSQL Page with the request

Specified by:
  `setPageEncoding` in interface `XSQLPageRequest`
Overrides:
  `setPageEncoding` in class `XSQLPageRequestImpl`

#### setCookie

    public void setCookie(java.lang.String name,
                          java.lang.String value,
                          java.lang.String maxage,
                          java.lang.String domain,
                          java.lang.String path,
                          boolean immediate)

#### getCookie

    public java.lang.String getCookie(java.lang.String name)

#### createNestedRequest

    public XSQLPageRequest createNestedRequest(java.lang.String baseuri,
                                               java.net.URL pageurl,
                                               java.util.Dictionary params,
                                               java.io.PrintWriter overriddenWriter,
                                               java.io.OutputStream overriddenOutputStream)

Returns an instance of a nested Request

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.